name: linting & formatting
run-name: ${{ gitea.actor }} is checking linting & formatting.

on:
  push:
    branches:
      - main
      - ci-test
    tags:
      - v*

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout repository
        run: |
          git init
          git remote add origin ${{ gitea.event.repository.clone_url }}
          git fetch --depth 1 origin ${{ gitea.ref }}
          git checkout FETCH_HEAD
          git lfs pull
      - name: Setup Python
        uses: actions/setup-python@v5.3.0
        with:
          python-version: '3.11'
      - name: Install gdscript-toolkit
        run: pip install -r requirements.txt
      - name: Run gdLint
        run: gdlint src/
      - name: Check formatting
        run: gdformat -c src
